## edgar 1.00-1-maemo1

=== debian/changelog ===
edgar (1.00-1-maemo1) unstable; urgency=low
	
  * New upstream release
  * Modified keymap (backspace works as escape. kp_enter as return)
  * Optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 Apr 2012 13:49:31 +0300

edgar (0.98-3-maemo1) unstable; urgency=low
	
  * New upstream release
  * Modified keymap (backspace works as escape. kp_enter as return)
  * Optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 12 Mar 2012 09:57:31 +0200

=== debian/control ===
Source: edgar
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libsdl1.2-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libmikmod2-dev, libvorbis-dev, libsmpeg-dev,  libsdl-mixer1.2-dev (>= 1:1.2.6-5+0m5+ogg+mp3-2)
Standards-Version: 3.7.2
Homepage: http://www.parallelrealities.co.uk/p/legend-of-edgar.html
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=332836&atid=1395537

Package: edgar
Architecture: any
Depends: ${shlibs:Depends}
Description: 2D Platform Game
 .
 The Legend of Edgar. When his father fails to return home after venturing
 out one stormy night, Edgar sets off on a quest to rescue him.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif

#maemo
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	CPPFLAGS += -fomit-frame-pointer
	#internal compiler error under maemo scratchbox
        #CPPFLAGS += -frename-registers
	CPPFLAGS += -ffast-math
	#omap2
#	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp 
	#omap3
#	CPPFLAGS += -mcpu=cortex-a8 -mfpu=vfp3 -mfloat-abi=softfp 
	CPPFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
	CPPFLAGS += -ftree-vectorize -fsingle-precision-constant
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	make
	make buildpak
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	CURDIR=$1

	#binary
	install -d  ${CURDIR}/debian/edgar/opt/edgar/
	install ${CURDIR}/edgar ${CURDIR}/debian/edgar/opt/edgar/

	#data
	install ${CURDIR}/edgar.pak ${CURDIR}/debian/edgar/opt/edgar/

	#icon
	install -d  ${CURDIR}/debian/edgar/usr/share/pixmaps 
	install ${CURDIR}/icons/edgar.png  ${CURDIR}/debian/edgar/usr/share/pixmaps

	#menu
	install -d ${CURDIR}/debian/edgar/usr/share/applications/hildon
	install ${CURDIR}/debian/edgar.desktop ${CURDIR}/debian/edgar/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## edgar 1.0.1

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filling Management
Version: 1.0.1
Date: 2015-08-24
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1), shiny, shinydashboard, rChoiceDialogs
Imports: R.utils,tcltk,tm,XML,wordcloud,RColorBrewer
Description: EDGAR is the Electronic Data Gathering, Analysis, and Retrieval system which performs automated collection, validation, indexing, acceptance, and forwarding of submissions by companies and others who are required by law to file forms with the U.S. Securities and Exchange Commission (SEC). This package downloads EDGAR Master Index and EDGAR Fillings from SEC.org site and do sentiment analysis of 10-K statements.
License: GPL-2
Packaged: 2015-08-27 10:23:06 UTC; Gunratan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-08-27 14:14:11

## edgar 1.0.2

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filling Management
Version: 1.0.2
Date: 2015-09-24
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1),shiny, shinydashboard, rChoiceDialogs
Imports: R.utils,tcltk,tm,XML,wordcloud,RColorBrewer,ggplot2
Description: EDGAR is the Electronic Data Gathering, Analysis, and Retrieval system which performs automated collection, validation, indexing, acceptance, and forwarding of submissions by companies and others who are required by law to file forms with the U.S. Securities and Exchange Commission (SEC). This package downloads EDGAR quarterly master index, daily master index, filings from SEC.org site and do sentiment analysis of 10-K statements.
License: GPL-2
Packaged: 2015-09-23 09:53:37 UTC; Gunratan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-09-24 11:58:49

## edgar 1.0.3

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filing Management
Version: 1.0.3
Date: 2015-10-26
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1),shiny, shinydashboard, rChoiceDialogs
Imports: R.utils,tcltk,tm,XML,wordcloud,RColorBrewer,ggplot2
Description: EDGAR is the Electronic Data Gathering, Analysis, and Retrieval system which performs automated collection, validation, indexing, acceptance, and forwarding of submissions by companies and others who are required by law to file forms with the U.S. Securities and Exchange Commission (SEC). This package downloads EDGAR quarterly master index, daily master index, filings from SEC.org site and do sentiment analysis of 10-K statements.
License: GPL-2
Packaged: 2015-10-28 04:30:51 UTC; Gunratan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-10-28 08:45:00

## edgar 1.0.4

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filing Management
Version: 1.0.4
Date: 2015-11-21
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1),shiny, shinydashboard, rChoiceDialogs
Imports: R.utils,tcltk,tm,XML,wordcloud,RColorBrewer,ggplot2
Description: EDGAR is the Electronic Data Gathering, Analysis, and Retrieval system which performs automated collection, validation, indexing, acceptance, and forwarding of submissions by companies and others who are required by law to file forms with the U.S. Securities and Exchange Commission (SEC). This package downloads EDGAR quarterly master index, daily master index, filings from SEC.org site and do sentiment analysis of 10-K statements.
License: GPL-2
Packaged: 2015-11-21 09:14:53 UTC; Gunratan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-11-21 15:56:17

## edgar 1.0.5

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filing Management
Version: 1.0.5
Date: 2016-08-15
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
    <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1)
Imports: R.utils,tm,XML,wordcloud,RColorBrewer,ggplot2
Description: In the USA, firms file different forms with the U.S. Securities and
    Exchange Commission (SEC) through EDGAR (Electronic Data Gathering, Analysis,
    and Retrieval system). EDGAR automated system collects all the different
    necessary filings and make it publicly available. Secondly, it validates
    collected filings, then perform indexing and accepting of these submitted
    forms. Investors, regulators, and researchers often require these forms for
    various purposes. "edgar" R package helps various individuals in data gathering,
    management, and visualization. This package downloads SEC EDGAR quarterly master
    index, daily master index, filings from SEC.org site and perform sentiment
    analysis of filing.
License: GPL-2
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-08-17 03:42:21 UTC; gunratan
Repository: CRAN
Date/Publication: 2016-08-17 10:40:30

## edgar 1.0.6

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filing Management
Version: 1.0.6
Date: 2016-10-10
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
    <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1)
Imports: R.utils,tm,XML,wordcloud,RColorBrewer,ggplot2
Description: In the USA, firms file different forms with the U.S. Securities and
    Exchange Commission (SEC) through EDGAR (Electronic Data Gathering, Analysis,
    and Retrieval system). EDGAR automated system collects all the different
    necessary filings and make it publicly available. Secondly, it validates
    collected filings, then perform indexing and accepting of these submitted
    forms. Investors, regulators, and researchers often require these forms for
    various purposes. This package helps in data gathering, management, and 
	visualization in this regard. It downloads SEC EDGAR quarterly master
    indexes, daily master indexes, and filings from SEC.org site and perform 
    sentiment analysis of these filing.
License: GPL-2
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-10 23:39:35 UTC; gunratan
Repository: CRAN
Date/Publication: 2016-10-11 01:45:50

## edgar 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: edgar
 Type: Package
 Title: Platform for EDGAR Filing Management
-Version: 1.0.6
-Date: 2016-10-10
+Version: 1.0.7
+Date: 2016-11-15
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
@@ -21,6 +21,6 @@
 License: GPL-2
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-10-10 23:39:35 UTC; gunratan
+Packaged: 2016-11-29 03:06:10 UTC; ABC
 Repository: CRAN
-Date/Publication: 2016-10-11 01:45:50
+Date/Publication: 2016-12-16 08:33:54

## edgar 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: edgar
 Type: Package
 Title: Platform for EDGAR Filing Management
-Version: 1.0.7
-Date: 2016-11-15
+Version: 1.0.8
+Date: 2017-01-09
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
@@ -21,6 +21,6 @@
 License: GPL-2
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-11-29 03:06:10 UTC; ABC
+Packaged: 2017-01-10 02:49:23 UTC; ABC
 Repository: CRAN
-Date/Publication: 2016-12-16 08:33:54
+Date/Publication: 2017-01-10 10:17:40

## edgar 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: edgar
 Type: Package
 Title: Platform for EDGAR Filing Management
-Version: 1.0.8
-Date: 2017-01-09
+Version: 1.0.9
+Date: 2017-06-04
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
@@ -19,8 +19,8 @@
     indexes, daily master indexes, and filings from SEC.org site and perform 
     sentiment analysis of these filing.
 License: GPL-2
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-01-10 02:49:23 UTC; ABC
+Packaged: 2017-06-04 20:41:27 UTC; glonare
 Repository: CRAN
-Date/Publication: 2017-01-10 10:17:40
+Date/Publication: 2017-06-04 20:51:24 UTC

## edgar 1.23

=== debian/changelog ===
edgar (1.23-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:21:05 +0000

edgar (1.23-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: conditionalized *.xcf deletes (Closes: #813957)
  * debian/control: ttf-dejavu-core to fonts-dejavu-core (Closes: #814709).
  * debian/patches/fix-desktop.diff: removed Categories addition 
    (fixed upstream)
  * debian/patches/fix-makefile.diff: removed LDFLAGs (fixed upstream)
  * bump standard-version to 3.9.7, no changes required.

 -- Zorian Medwid <misterhat144@gmail.com>  Fri, 26 Feb 2016 12:35:58 -0600

edgar (1.21-1) unstable; urgency=low

  * Initial release. (Closes: #653813)

 -- Zorian M <misterhat144@gmail.com>  Sun, 11 Oct 2015 11:17:02 -0500

=== debian/control ===
Source: edgar
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Zorian Medwid <misterhat144@gmail.com>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               gettext,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: https://github.com/riksweeney/edgar

Package: edgar
Architecture: any
Depends: edgar-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: 2D platform game with a persistent world
 The Legend of Edgar is a platform game, not unlike those found on the Amiga
 and SNES. Edgar must battle his way across the world, solving puzzles and
 defeating powerful enemies to achieve his quest.
 .
 When Edgar's father fails to return home after venturing out one dark and
 stormy night, Edgar fears the worst: he has been captured by the evil
 sorcerer who lives in a fortress beyond the forbidden swamp.
 .
 Donning his armour, Edgar sets off to rescue him, but his quest will not be
 easy...

Package: edgar-data
Architecture: all
Depends: ${misc:Depends}, fonts-dejavu-core
Replaces: edgar (<< 1.21-1)
Breaks: edgar (<< 1.21-1)
Description: 2D platform game with a persistent world (data files)
 The Legend of Edgar is a platform game, not unlike those found on the Amiga
 and SNES. Edgar must battle his way across the world, solving puzzles and
 defeating powerful enemies to achieve his quest.
 .
 When Edgar's father fails to return home after venturing out one dark and
 stormy night, Edgar fears the worst: he has been captured by the evil
 sorcerer who lives in a fortress beyond the forbidden swamp.
 .
 Donning his armour, Edgar sets off to rescue him, but his quest will not be
 easy...
 .
 This package contains the maps, graphics, music and sound for edgar.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_install:
	dh_install
	if [ -d ./debian/edgar-data ]; then \
		find ./debian/edgar-data -name "*.xcf" -delete; \
	fi

## edgar 1.37

=== debian/changelog ===
edgar (1.37-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:35 +1100

edgar (1.37-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:23:57 +0000

edgar (1.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.37
    "This release contains updates for Dutch, Spanish
     and Esperanto translations
     as well as a minor bug fix for the Grub King".
  * mark data package "Multi-Arch: foreign"
  * update copyright years

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Jan 2024 17:50:56 +0100

edgar (1.36-1) unstable; urgency=medium

  * Team upload.
  * Upstream has dutifully tracked origin of all music/*.ogg
    files (Closes: #832116)
  * build with SDL2 (Closes: #985185, #1038193)
  * remove duplicate dependency on debhelper
  * add debian/.gitignore
  * Import v1.36 that fix Polish translation (Closes: #818326)
  * use upstream-provided manpage, drop Debian stub
  * d/copyright: add license details for appdata.xml

  [ Matt Barry ]
  * New upstream release (1.35).
  * New maintainer.  Closes: #998116.
  * URL updates.  Closes: #1013412.
  * Various Lintian updates.
  * Update and drop patches.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Dec 2023 02:23:35 +0100

edgar (1.10-1) unstable; urgency=low

  * Initial release, closes: #653813.

 -- Joe Nahmias <jello@debian.org>  Wed, 24 Jul 2013 11:26:35 -0400

=== debian/control ===
Source: edgar
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Joe Nahmias <jello@debian.org>, Guus Sliepen <guus@debian.org>,
 Matt Barry <matt@hazelmollusk.org>
Build-Depends: debhelper-compat (= 13),
 libsdl2-dev, libsdl2-image-dev, libsdl2-gfx-dev,
 libsdl2-mixer-dev, libsdl2-ttf-dev, libsdl2-net-dev, zlib1g-dev, libpng-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: http://www.parallelrealities.co.uk/games/edgar/
Vcs-Browser: https://salsa.debian.org/games-team/edgar
Vcs-Git: https://salsa.debian.org/games-team/edgar.git

Package: edgar
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 edgar-data (= ${source:Version})
Description: Legend of Edgar platform game
 The Legend of Edgar is a platform game where the hero must explore a vast
 world, find items, solve puzzles, defeat powerful enemies, complete
 mini-quests in order to save his father who has been kidnapped.
 .
 Includes support for joystick or joypad and configurable keyboard
 support.

Package: edgar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for Legend of Edgar game
 This package contains the required data files (images, sound effects,
 music, etc...) for The Legend of Edgar game.  You will need to install
 the edgar package in order to actually play the game.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/edgar-$1\.tar\.gz/ \
  https://github.com/riksweeney/edgar/tags .*/v?(\d\S+)\.tar\.gz

## edgar 2.0.0

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Platform for EDGAR Filing Management and Textual Analysis
Version: 2.0.0
Date: 2019-03-16
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
    <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1)
Imports: R.utils, tm, XML, stringr, stringi, qdapRegex
Description: In the USA, companies file different forms with the U.S. 
  Securities and Exchange Commission (SEC) through EDGAR (Electronic 
  Data Gathering, Analysis, and Retrieval system). The EDGAR 
  database automated system collects all the different necessary 
  filings and makes it publicly available. Investors, regulators, 
  and researchers often require these forms for various purposes. 
  This package helps in bulk data gathering and textual analysis of 
  EDGAR filings. It downloads filings from SEC server in bulk with 
  a single query. Additionally, it provides various useful functions:
  extracts 8-K triggering events, extract "Business (Item 1)" and 
  "Management's Discussion and Analysis(Item 7)" sections of annual 
  statements, search filings for desired words, provides sentiment 
  measures, parse filing header information, and provides HTML 
  view of SEC filings.  
License: GPL-2
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-03-18 03:42:06 UTC; glonare
Repository: CRAN
Date/Publication: 2019-03-18 05:20:03 UTC

## edgar 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: edgar
 Type: Package
 Title: Platform for EDGAR Filing Management and Textual Analysis
-Version: 2.0.0
+Version: 2.0.1
 Date: 2019-03-16
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
@@ -25,6 +25,6 @@
 License: GPL-2
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-03-18 03:42:06 UTC; glonare
+Packaged: 2019-03-20 21:46:11 UTC; glonare
 Repository: CRAN
-Date/Publication: 2019-03-18 05:20:03 UTC
+Date/Publication: 2019-03-22 10:00:09 UTC

## edgar 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: edgar
 Type: Package
 Title: Platform for EDGAR Filing Management and Textual Analysis
-Version: 2.0.1
-Date: 2019-03-16
+Version: 2.0.2
+Date: 2019-08-22
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
@@ -25,6 +25,6 @@
 License: GPL-2
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-03-20 21:46:11 UTC; glonare
+Packaged: 2019-08-22 17:48:23 UTC; GLONARE
 Repository: CRAN
-Date/Publication: 2019-03-22 10:00:09 UTC
+Date/Publication: 2019-08-29 20:40:02 UTC

## edgar 2.0.3

=== DESCRIPTION ===
Package: edgar
Type: Package
Title: Tool for the U.S. SEC EDGAR Retrieval and Parsing of Corporate
        Filings
Version: 2.0.3
Date: 2020-05-20
Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
    <bharatspatil@gmail.com>
Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
Depends: R (>= 3.1)
Imports: R.utils, tm, XML, stringr, stringi, qdapRegex
Description: In the USA, companies file different forms with the U.S. 
    Securities and Exchange Commission (SEC) through EDGAR (Electronic 
    Data Gathering, Analysis, and Retrieval system). The EDGAR 
    database automated system collects all the different necessary 
    filings and makes it publicly available. This package facilitates
    retrieving, storing, searching, and parsing of all the available 
    filings on the EDGAR server. It downloads filings from SEC 
    server in bulk with a single query. Additionally, it provides 
    various useful functions: extracts 8-K triggering events, extract
    "Business (Item 1)" and "Management's Discussion and Analysis(Item 7)"
    sections of annual statements, searches filings for desired 
    keywords, provides sentiment measures, parses filing header 
    information, and provides HTML view of SEC filings.  
License: GPL-2
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-05-22 20:56:31 UTC;
Repository: CRAN
Date/Publication: 2020-05-22 21:30:02 UTC

## edgar 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Type: Package
 Title: Tool for the U.S. SEC EDGAR Retrieval and Parsing of Corporate
         Filings
-Version: 2.0.3
-Date: 2020-05-20
+Version: 2.0.4
+Date: 2021-08-07
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
-Depends: R (>= 3.1)
+Depends: R (>= 3.5.0)
 Imports: R.utils, tm, XML, stringr, stringi, qdapRegex
 Description: In the USA, companies file different forms with the U.S. 
     Securities and Exchange Commission (SEC) through EDGAR (Electronic 
@@ -23,8 +23,8 @@
     keywords, provides sentiment measures, parses filing header 
     information, and provides HTML view of SEC filings.  
 License: GPL-2
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-05-22 20:56:31 UTC;
+Packaged: 2021-08-09 12:45:07 UTC; GGL
 Repository: CRAN
-Date/Publication: 2020-05-22 21:30:02 UTC
+Date/Publication: 2021-08-09 13:00:02 UTC

## edgar 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Type: Package
 Title: Tool for the U.S. SEC EDGAR Retrieval and Parsing of Corporate
         Filings
-Version: 2.0.4
-Date: 2021-08-07
+Version: 2.0.5
+Date: 2022-02-07
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
 Depends: R (>= 3.5.0)
-Imports: R.utils, tm, XML, stringr, stringi, qdapRegex
+Imports: R.utils, tm, XML, stringr, stringi, qdapRegex, httr
 Description: In the USA, companies file different forms with the U.S. 
     Securities and Exchange Commission (SEC) through EDGAR (Electronic 
     Data Gathering, Analysis, and Retrieval system). The EDGAR 
@@ -23,8 +23,8 @@
     keywords, provides sentiment measures, parses filing header 
     information, and provides HTML view of SEC filings.  
 License: GPL-2
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-08-09 12:45:07 UTC; GGL
+Packaged: 2022-02-06 17:39:40 UTC; Gene
 Repository: CRAN
-Date/Publication: 2021-08-09 13:00:02 UTC
+Date/Publication: 2022-02-06 17:50:02 UTC

## edgar 2.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Tool for the U.S. SEC EDGAR Retrieval and Parsing of Corporate
         Filings
-Version: 2.0.5
-Date: 2022-02-07
+Version: 2.0.6
+Date: 2023-08-10
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
@@ -23,8 +23,8 @@
     keywords, provides sentiment measures, parses filing header 
     information, and provides HTML view of SEC filings.  
 License: GPL-2
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-02-06 17:39:40 UTC; Gene
+Packaged: 2023-08-10 12:56:28 UTC; lonar
 Repository: CRAN
-Date/Publication: 2022-02-06 17:50:02 UTC
+Date/Publication: 2023-08-10 13:20:02 UTC

## edgar 2.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Tool for the U.S. SEC EDGAR Retrieval and Parsing of Corporate
         Filings
-Version: 2.0.6
-Date: 2023-08-10
+Version: 2.0.7
+Date: 2023-10-14
 Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
     <bharatspatil@gmail.com>
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
@@ -25,6 +25,6 @@
 License: GPL-2
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-08-10 12:56:28 UTC; lonar
+Packaged: 2023-10-14 11:58:01 UTC; lonar
 Repository: CRAN
-Date/Publication: 2023-08-10 13:20:02 UTC
+Date/Publication: 2023-10-14 12:10:02 UTC

## edgar 2.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,16 @@
 Type: Package
 Title: Tool for the U.S. SEC EDGAR Retrieval and Parsing of Corporate
         Filings
-Version: 2.0.7
-Date: 2023-10-14
-Author: Gunratan Lonare <lonare.gunratan@gmail.com>, Bharat Patil
-    <bharatspatil@gmail.com>
+Version: 2.0.8
+Date: 2025-03-07
+Authors@R: c(person(given = "Gunratan",
+                    family = "Lonare",
+                    role = c("aut", "cre"),
+                    email = "lonare.gunratan@gmail.com"),
+             person(given = "Bharat",
+                    family = "Patil",
+                    role = "aut",
+                    email = "bharatspatil@gmail.com"))
 Maintainer: Gunratan Lonare <lonare.gunratan@gmail.com>
 Depends: R (>= 3.5.0)
 Imports: R.utils, tm, XML, stringr, stringi, qdapRegex, httr
@@ -23,8 +29,10 @@
     keywords, provides sentiment measures, parses filing header 
     information, and provides HTML view of SEC filings.  
 License: GPL-2
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-10-14 11:58:01 UTC; lonar
+Packaged: 2025-03-08 00:44:28 UTC; lonar
+Author: Gunratan Lonare [aut, cre],
+  Bharat Patil [aut]
 Repository: CRAN
-Date/Publication: 2023-10-14 12:10:02 UTC
+Date/Publication: 2025-03-08 01:00:02 UTC
